PHP 错误 Parse error: syntax error, unexpected ‘?’ 解决办法

PHP是构建WordPress的编码语言,其版本由你或者你主机商在配置服务器WordPress 环境的时候设置完成,保持PHP版本最新或者较新,对于一个长期运营的网站来说至关重要。

保持PHP最新有两个主要好处:

  • 您的网站将会更快,因为最新版本的PHP效率更高。 更新到最新的受支持版本(当前为 7.4)可以极大地提高性能。 对于较旧的版本,速度最高可提高3到4倍。
  • 您的网站将更加安全。 PHP与WordPress一样,由其社区维护。 由于PHP非常流行,因此它是黑客的目标,但最新版本将具有最新的安全功能。 较早版本的PHP 并没有此更新对于确保WordPress网站安全至关重要。

也有许多额外好处:

  • 搜索引擎将奖励运行更快的WordPress网站,因此您在搜索中的排名会更高!
  • 更快的网站可以更好地吸引访客(如果加载时间太长,他们就会离开),更新PHP可以使您的网站更高效。
  • 一个更安全的网站可以更好地防御黑客攻击,以及与被黑客入侵的网站相关的成本和声誉损失。
自动草稿

自动草稿

如果 WordPress 检测到你的网站正在运行一个较低的版本,会提醒你做好相关的更新。

而在安装一些wordpress主题或者wordpress插件的时候,可能会出现一些报错提醒,如下面的报错代码,一般都是应该一些虚拟机或者服务器正在运行一个较低的PHP版本。一般解决办法就是:更新PHP版本至7.0以上即可解决。

Parse error: syntax error, unexpected '?' in /www/wwwroot/
 收藏 (0) 打赏

您可以选择一种方式赞助本站

支付宝扫一扫赞助

微信钱包扫描赞助

除特别注明外,本站所有文章均基于CC-BY-NC-SA 4.0原创,转载请注明出处。
文章名称:《PHP 错误 Parse error: syntax error, unexpected ‘?’ 解决办法》
文章链接:https://www.vvso.cn/xlbk/18893.html
分享到: 更多 (0)

热门文章

评论 抢沙发

切换注册

登录

忘记密码 ?

切换登录

注册